Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81227 - memory leak in gweather-applet-2
Summary: memory leak in gweather-applet-2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-applets
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-06 22:12 UTC by Jonathan Schatz
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 20:50:51 UTC


Attachments (Terms of Use)

Description Jonathan Schatz 2003-01-06 22:12:28 UTC
Description of problem:
I left my machine up for 2 weeks while i was on holiday, and came back to find
my machine out of memory:

[jon@jonschatz-lx jon]$ free
             total       used       free     shared    buffers     cached
Mem:       1030560    1017836      12724          0       2936      34736
-/+ buffers/cache:     980164      50396
Swap:       522104     522104          0

i looked through the process list and found the problem:
[jon@jonschatz-lx jon]$ ps auxwww|grep gweather
jon       2082  0.0 80.3 1311324 828156 ?    S     2002   1:49
/usr/libexec/gweather-applet-2
--oaf-activate-iid=OAFIID:GNOME_GWeatherApplet_Factory --oaf-ior-fd=18

i'm checking weather for 2 places (Palo Alto + San Francisco). I couldn't find
any useful information about this applet in gconf, but i may be looking in the
wrong place.

Version-Release number of selected component (if applicable):

[jon@jonschatz-lx jon]$ rpm -q --whatprovides /usr/libexec/gweather-applet-2
gnome-applets-2.0.1-6

How reproducible:

This is the first time it's happened, but i reboot my machine a lot, and usually
never have more than a few days of uptime.

Steps to Reproduce:
1. Add gweather applet to panel
2. Leave machine on for 2 weeks
3. Cry
    

Additional info:

Linux jonschatz-lx.vmware.com 2.4.18-18.8.0 #1 Thu Nov 14 00:10:29 EST 2002 i686
i686 i386 GNU/Linux

I've also applied all updates for 8.0

Comment 1 Havoc Pennington 2003-01-14 20:50:51 UTC
Should be fixed in next release (though I didn't leave it running 2 weeks to
check, it doesn't appear to be growing in a shorter time)

Comment 2 Havoc Pennington 2003-01-14 20:51:59 UTC
(The leak may have been the Xft bug fixed in the Xft packages
at ftp://people.redhat.com/hp/testing/ if you want to see
if those fix the problem in the interim)


Note You need to log in before you can comment on or make changes to this bug.